/**
 * @file Ce fichier génère le schéma GraphQL. C'est ici que les requêtes GraphQl sont résolues.
 * @author akka vodol
*/

const actionDefs = require('./typeDefs/actions.graphql');
const objectDefs = require('./typeDefs/objects.graphql');
import { resolvers } from './resolvers';

const typeDefs = actionDefs.concat(objectDefs);

const schema = {
    typeDefs,
    resolvers,
    logger: {log: e => console.log(e)},
    inheritResolversFromInterfaces: true,
    //formatResponse: response => { console.log(JSON.stringify(response)); return response; },
    //formatError: error => {console.log(JSON.stringify(error)); return error; }
};

export default schema;